Imports System.Windows.Forms

Public Module InformationMessageModule
    Function MsgTitolo() As String
        '
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
        ' Ritorna Versione maggiore e minore 
        ' da utilizzare come titolo nei MSGBOX
        '
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
        '
        Return "Vers. " & _
        System.Diagnostics.FileVersionInfo.GetVersionInfo _
        (System.Reflection.Assembly.GetExecutingAssembly.Location).FileMajorPart & _
        " di " & System.Diagnostics.FileVersionInfo.GetVersionInfo _
        (System.Reflection.Assembly.GetExecutingAssembly.Location).FileMinorPart
    End Function

    Public Function InformationMessage(ByVal cMsg As String) As DialogResult
        Return MessageBox.Show(cMsg, MsgTitolo, MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Function

    Public Function QuestionMessage(ByVal cMsg As String) As DialogResult
        Return MessageBox.Show(cMsg, MsgTitolo, MessageBoxButtons.YesNo, MessageBoxIcon.Question)
    End Function
End Module
