Public Class PageSetup

    Private Shared storedPageSettings As New System.Drawing.Printing.PageSettings()

    Public Shared Property PageSettings() As System.Drawing.Printing.PageSettings
        Get
            Return storedPageSettings
        End Get
        Set(ByVal Value As System.Drawing.Printing.PageSettings)
            storedPageSettings = Value
        End Set
    End Property

    Public Shared Sub PageSetup()
        Try
            Dim psDlg As New PageSetupDialog()

            If (PageSettings Is Nothing) Then
                PageSettings = New System.Drawing.Printing.PageSettings()
            End If

            psDlg.PageSettings = PageSettings
            psDlg.ShowDialog()
        Catch ex As Exception
            MessageBox.Show("An error occurred - " + ex.Message)
        End Try
    End Sub

End Class
