Public Class TablePrintPreviewDialog
    Inherits PrintPreviewDialogEx

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        Dim btn As New ToolBarButton()
        btn.ToolTipText = "Exports Data"
        btn.Tag = 100
        btn.ImageIndex = 0
        Dim btn2 As New ToolBarButton()
        btn2.ToolTipText = "Sends Data via eMail"
        btn2.Tag = 101
        btn2.ImageIndex = 1

        Dim btns(1) As ToolBarButton
        btns(0) = btn
        btns(1) = btn2

        AddToolBarButtons(btns)
    End Sub

    Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(TablePrintPreviewDialog))
        Me.SuspendLayout()
        '
        'AddedButtonsImageList
        '
        Me.AddedButtonsImageList.ImageStream = CType(resources.GetObject("AddedButtonsImageList.ImageStream"), System.Windows.Forms.ImageListStreamer)
        '
        'TablePrintPreviewDialog
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(440, 223)
        Me.Name = "TablePrintPreviewDialog"
        Me.ResumeLayout(False)

    End Sub

    Public Property TableDocument() As DataGridPrintDocument
        Get
            If TypeOf (Me.Document) Is DataGridPrintDocument Then
                Return CType(Me.Document, DataGridPrintDocument)
            Else
                Return Nothing
            End If
        End Get
        Set(ByVal Value As DataGridPrintDocument)
            Me.Document = Value
        End Set
    End Property

    Private Sub TablePrintPreviewDialog_AddedButtonsClick(ByVal sender As Object, ByVal e As System.Windows.Forms.ToolBarButtonClickEventArgs) Handles MyBase.AddedButtonsClick
        Dim TblDocument As DataGridPrintDocument = Me.TableDocument
        Dim tbl As DataTable = TblDocument.DataTable
        Dim ds As DataSet = tbl.DataSet
        If CInt(e.Button.Tag) = 100 Then
            DataSetExport.Export(ds)
        ElseIf CInt(e.Button.Tag) = 101 Then
            DataSetExport.SendEMail(ds)
        End If
    End Sub
End Class
