Imports System
Imports System.IO
Imports System.Xml
Imports System.Text
Imports System.Security.Cryptography



Public Class Encryptor
    Private Shared key() As Byte = {&H1, &H23, &H45, &H67, &H89, &HAB, &HCD, &HEF}
    Private Shared IV() As Byte = {&H12, &H34, &H56, &H78, &H90, &HAB, &HCD, &HEF}

    Public Shared Function HashStr(ByVal s As String) As String
        Dim i As Integer = 0
        Dim v As Integer = 0
        For i = 0 To s.Length - 1
            v = v + Asc(s.Chars(i))
        Next
        Return v.ToString()
    End Function

    Private Shared Function CovertStringToByteArray(ByVal s As String) As Byte()
        Dim c() As Char = {" "c}
        Dim ss() As String = s.Split(c)

        Dim b(ss.Length - 1) As Byte
        Dim i As Integer
        For i = 0 To b.Length - 1
            b(i) = Byte.Parse(ss(i))
        Next
        Return b
    End Function

    ' Given a string, do the actual decryption imports a CryptoStream
    Public Shared Function DecryptAsByte(ByVal stringToDecrypt As String) As Byte()
        Dim des As DESCryptoServiceProvider = New DESCryptoServiceProvider()
        Dim inputByteArray As Byte() = CovertStringToByteArray(stringToDecrypt)

        Dim ms As MemoryStream = New MemoryStream()
        Dim cs As CryptoStream = New CryptoStream(ms, des.CreateDecryptor(key, IV), CryptoStreamMode.Write)

        cs.Write(inputByteArray, 0, inputByteArray.Length)
        cs.FlushFinalBlock()

        Return ms.ToArray()
    End Function

    Public Shared Function EncryptAsByte(ByVal stringToEncrypt As String) As Byte()
        Dim des As DESCryptoServiceProvider = New DESCryptoServiceProvider()

        Dim inputByteArray As Byte() = Encoding.UTF8.GetBytes(stringToEncrypt)

        Dim ms As MemoryStream = New MemoryStream()
        Dim cs As CryptoStream = New CryptoStream(ms, des.CreateEncryptor(key, IV), CryptoStreamMode.Write)

        cs.Write(inputByteArray, 0, inputByteArray.Length)
        cs.FlushFinalBlock()

        Return ms.ToArray()
    End Function

    ' Given a string, do the actual decryption imports a CryptoStream
    Public Shared Function Decrypt(ByVal stringToDecrypt As String) As String
        Dim des As DESCryptoServiceProvider = New DESCryptoServiceProvider()
        Dim inputByteArray As Byte() = CovertStringToByteArray(stringToDecrypt)

        Dim ms As MemoryStream = New MemoryStream()
        Dim cs As CryptoStream = New CryptoStream(ms, des.CreateDecryptor(key, IV), CryptoStreamMode.Write)

        cs.Write(inputByteArray, 0, inputByteArray.Length)
        cs.FlushFinalBlock()

        Dim byteAr() As Byte = ms.ToArray()
        Dim charAr(byteAr.Length - 1) As Char
        Dim i As Integer
        For i = 0 To byteAr.Length - 1
            charAr(i) = Chr(byteAr(i))
        Next
        Return New String(charAr)
    End Function

    Public Shared Function Encrypt(ByVal stringToEncrypt As String) As String
        Dim des As DESCryptoServiceProvider = New DESCryptoServiceProvider()

        Dim inputByteArray As Byte() = Encoding.UTF8.GetBytes(stringToEncrypt)

        Dim ms As MemoryStream = New MemoryStream()
        Dim cs As CryptoStream = New CryptoStream(ms, des.CreateEncryptor(key, IV), CryptoStreamMode.Write)

        cs.Write(inputByteArray, 0, inputByteArray.Length)
        cs.FlushFinalBlock()

        Dim byteAr() As Byte = ms.ToArray()
        Dim ret As String = ""
        Dim i As Integer
        For i = 0 To byteAr.Length - 1
            ret &= CStr(byteAr(i)) & " "
        Next
        Return Trim(ret)
    End Function

End Class
